<ion-header>

  <ion-navbar>
    <ion-title>Nova Imagem</ion-title>
    <ion-buttons start>
      <button ion-button (click)="cancel()">
        <span color="primary">
          Cancelar
        </span>
        <ion-icon name="md-close" showWhen="core,android,windows,ios"></ion-icon>
      </button>
    </ion-buttons>
    <ion-buttons end>
        <!-- <button ion-button (click)="done()" [disabled]="!isReadyToSave" strong> -->
        <button ion-button (click)="done()" strong>
          <span color="primary">
            Salvar
          </span>
        <ion-icon name="md-checkmark" showWhen="core,android,windows,ios"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content>

    <ion-grid>
      <ion-row>
        <ion-col col-1>
          <label>Nome</label>
          <input type="text" [(ngModel)]="paciente.nome" class="form-control">
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col col-1>
          <label>Data de Nascimento</label>
          <!--ion-datetime displayFormat="DD/MM/YYYY" class="form-control" [(ngModel)]="proposta.beneficiario.dtNascimento"></ion-datetime-->
          <input id="date" type="date" date='dd/MM/yyyy' class="form-control" [(ngModel)]="paciente.dtNascimento">
          <!-- <input type="text" [(ngModel)]="proposta.beneficiario.dtNascimento" class="form-control"> -->
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col col-1>
          <label>Nº do Prontuário</label>
          <input type="text" [(ngModel)]="paciente.nuProntuario" class="form-control"> 
        </ion-col>
      </ion-row>
    </ion-grid>
    
  <form *ngIf="form" [formGroup]="form" (ngSubmit)="createItem()">  
    <input type="file" #fileInput style="visibility: hidden; height: 0px" name="files[]" (change)="processWebImage($event)" />
    <div class="profile-image-wrapper" (click)="getPicture()">
      <div class="profile-image-placeholder" *ngIf="!this.form.controls.profilePic.value">
        <ion-icon name="albums"></ion-icon>
        <div>
          Selecione uma imagem Local
        </div>
      </div>
      <div class="profile-image" [style.backgroundImage]="getProfileImageStyle()" *ngIf="this.form.controls.profilePic.value"></div>
    </div>

    <div class="profile-image-wrapper" (click)="getPhoto()">
      <div class="profile-image-placeholder" *ngIf="!this.form.controls.profilePhoto.value">
        <ion-icon name="camera"></ion-icon>
        <div>
          Registre uma Foto
        </div>
      </div>
      <div *ngIf="this.form.controls.profilePhoto.value">
        <div class="profile-image" [style.backgroundImage]="getProfilePhotoImageStyle()"></div>
        <ion-icon name="trash" (click)="eraseImg(2)"></ion-icon>
      </div>
    </div>

    <!-- <ion-list>
      <ion-item>
        <ion-input type="text" placeholder="{{ 'ITEM_NAME_PLACEHOLDER' | translate }}" formControlName="name"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="text" placeholder="{{ 'ITEM_ABOUT_PLACEHOLDER' | translate }}" formControlName="about"></ion-input>
      </ion-item>
    </ion-list> -->

  </form>

</ion-content>